# SectionImageAlignment enum Null safety

## Constants

center → const SectionImageAlignment
  `const SectionImageAlignment(1)`
left → const SectionImageAlignment
  `const SectionImageAlignment(0)`
right → const SectionImageAlignment
  `const SectionImageAlignment(2)`
unknown → const SectionImageAlignment
  `const SectionImageAlignment(3)`
values → const List<SectionImageAlignment>

  A constant List of the values in this enum, in order of their declaration.

  `const List<SectionImageAlignment>`

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
index → int

  The integer index of this enum.

  final
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed. [...]
  inherited
toString() → String
  A string representation of this object. [...]
  override

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited